Package pyplusplus :: Package function_transformers :: Module controllers

# Module controllers

source code

defines controller classes which help to define the function transformation

The idea behind implementation of "Function Transformation" functionality is simple: Py++ defines few templates. Transformers are just editors for the templates. In most cases, transformers don't directly edit the template, but use controller classes for this purpose. Controller classes provide an abstraction of the templates.

Classes
variable_t defines C++ variable
variables_manager_t function wrapper variables manager
controller_base_t base class for all controller classes
sealed_fun_controller_t base class for free and member function controllers
mem_fun_controller_t
free_fun_controller_t
virtual_mem_fun_controller_t

Functions

create_variables_manager(function) | source code